#ifndef _OVERVIEW_
#define _OVERVIEW_
typedef struct Overview Overview;
#include "common.h"
#include "block.h"
#include "game.h"
struct Overview {
    LandImage * screenshot [50];
    bool update [50];
    float mx, my;
    int selected;
    int zoom;
    double zoomx, zoomy;
};
Overview* overview_new(void);
void overview_update(Overview * self);
void overview_tick(Overview * self);
void overview_render_next(Overview * self);
void overview_update_level(Overview * self, int level);
void overview_destroy(Overview * self);
void overview_render(Overview * self);
void overview_click(Overview * self, float sx, float sy, int clicked, int released);
void overview_swap_levels(Overview * self, int level1, int level2);
#endif
